Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.el.lang
Class VariableMapperImpl

    java.lang.Object
      javax.el.VariableMapper
          com.sun.el.lang.VariableMapperImpl

All Implemented Interfaces:
  Externalizable, Serializable

    public class VariableMapperImpl

extends VariableMapper
implements Externalizable

See Also:
  Serialized Form

Constructor Summary
`VariableMapperImpl()`

Method Summary
`void` | `readExternal(ObjectInput in)`
`ValueExpression` | `resolveVariable(String variable)`
`ValueExpression` | `setVariable(String variable, ValueExpression expression)` Assign a ValueExpression to an EL variable, replacing any previously assignment to the same variable.
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableMapperImpl

    public VariableMapperImpl()

Method Detail

### resolveVariable

    public ValueExpression resolveVariable(String variable)

  Specified by:
    `resolveVariable` in class `VariableMapper`
  Parameters:
    `variable` - The variable name
  Returns:
    the ValueExpression assigned to the variable, null if there is no previous assignment to this variable.

### setVariable

    public ValueExpression setVariable(String variable,
                                       ValueExpression expression)

  Description copied from class: `VariableMapper`
  Assign a ValueExpression to an EL variable, replacing any previously assignment to the same variable. The assignment for the variable is removed if the expression is `null`.

  Specified by:
    `setVariable` in class `VariableMapper`
  Parameters:
    `variable` - The variable name
    `expression` - The ValueExpression to be assigned to the variable.
  Returns:
    The previous ValueExpression assigned to this variable, null if there is no previouse assignment to this variable.

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.